Bug 27077 - 0.6.1 не находит root, если в fstab раздел описан по старинке, как /dev/sda2, например.
: 0.6.1 не находит root, если в fstab раздел описан по старинке, как /dev/sda2,...
Status: CLOSED FIXED
: Branch p6
(All bugs in Branch p6/make-initrd)
: не указана
: all Linux
: P3 normal
Assigned To:
:
:
:
:
: 23155
  Show dependency tree
 
Reported: 2012-03-14 19:11 by
Modified: 2012-08-14 17:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-03-14 19:11:45
Preparing...                
############################################################################################
[100%]
1: kernel-image-el-smp      
############################################################################################
[100%]
Running /usr/lib/rpm/posttrans-filetriggers
Config file: /etc/initrd.mk
guess-root: Unable to find root device
Generating module dependencies on host ...
Guessed modules: ext3
Guessed features: add-modules cleanup compress
Creating initrd image ...
Adding modules ...
Generating module dependencies in image ...
Packed modules: ext3 jbd mbcache
Packing image to archive ...
Compressing image ...
Installing image ...
Removing work directory ...

В результате, в initrd не хватает модулей. make-initrd-0.6.1-alt1.1.
------- Comment #1 From 2012-03-14 21:15:28 -------
В сизифе уже make-initrd-0.7.2. Подтвердите проблему на нём.
------- Comment #2 From 2012-03-15 10:56:20 -------
Полноценно проверить не могу - Сизиф пока не стоит нигде.
Точечно обновил в p6:

apt-get: libkmod-5-alt2 installed
apt-get: kinit-utils-1.5.25-alt1 installed
apt-get: kinit-utils-1.5.17-alt1 removed
apt-get: make-initrd-0.7.2-alt1 installed
apt-get: make-initrd-0.6.1-alt1.1 removed

"Unable to find root device" больше не пишет, список модулей получается похож
на правду, но ядра не грузятся, загрузка встаёт на запуске udev. Просто так из
Сизфа новый make-initrd не переносится...

Вообще, наверное, надо на p6 перевешивать, видимо, в Сизифе должно работать.
------- Comment #3 From 2012-03-16 15:21:32 -------
Как-минимум, 0.6.2 ведь можно перенести в p6? Он вроде достаточно обкатан
------- Comment #4 From 2012-05-18 13:25:43 -------
Поставил make-initrd-0.7.8-alt1:

apt-get: libkmod-8-alt2 installed
apt-get: kinit-utils-1.5.25-alt1 installed
apt-get: kinit-utils-1.5.17-alt1 removed
apt-get: make-initrd-0.7.8-alt1 installed
apt-get: make-initrd-0.6.1-alt1.1 removed

Ставил из t6, поверил, снова необновляющемуся, http://packages.altlinux.org/,
что там 0.6.2. Но, вроде бы, удачно. По крайней мере, ядро
kernel-image-ovz-el-2.6.32-alt40.M60P.2 поставилось и загрузилось.
------- Comment #5 From 2012-05-18 20:00:32 -------
В KDesktop несколько менее удачно получилось. К обновлению добавилось ещё вот
это:

apt-get: make-initrd-devmapper-0.7.8-alt1 installed 
apt-get: make-initrd-devmapper-0.6.1-alt1.1 removed 
apt-get: make-initrd-plymouth-0.7.8-alt1 installed 
apt-get: make-initrd-plymouth-0.6.1-alt1.1 removed 
apt-get: make-initrd-lvm-0.7.8-alt1 installed 
apt-get: make-initrd-lvm-0.6.1-alt1.1 removed 

Вылезла бага, на сколько я понимаю, с Плимутом: в какой-то момент бегущий
прогресс бар пропадает и остаётся чёрный экран до момента вывода приглашения
залогиниться. Плюс ещё ругается на недоступность /etc/syslog.d в самом-самом
начале, в момент загрузки initrd видимо.
------- Comment #6 From 2012-08-14 17:33:39 -------
С make-initrd-0.6.1-alt1.1 не подтверждаю